diff --git a/server/include/ROS/LookatCallbackWrapperROS.h b/server/include/ROS/LookatCallbackWrapperROS.h
index 3acead5..f069356 100644
--- a/server/include/ROS/LookatCallbackWrapperROS.h
+++ b/server/include/ROS/LookatCallbackWrapperROS.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/lookattargetAction.h"
@@ -33,98 +33,97 @@
 #include <tf2_eigen/tf2_eigen.h>
 #include <angles/angles.h>
 
-//callback handler incoming lookat requests:
-class LookatCallbackWrapper : CallbackWrapper<hlrc_server::lookattargetAction>{
+// callback handler incoming lookat requests:
+class LookatCallbackWrapper : CallbackWrapper<hlrc_server::lookattargetAction> {
 protected:
-    hlrc_server::lookattargetFeedback feedback;
-    hlrc_server::lookattargetResult result;
-    const tf2_ros::Buffer& tfBuffer;
-    const std::string FLOBI_BASE_LINK="head_base_link";
-    // pan/tilt will be computed w.r.t. to virtual frame at height of eyes
-    Eigen::Affine3d eig_eyes_to_base;
-    double eye_distance; // distance from center of eyes to eye frame
+	hlrc_server::lookattargetFeedback feedback;
+	hlrc_server::lookattargetResult result;
+	const tf2_ros::Buffer& tfBuffer;
+	const std::string FLOBI_BASE_LINK = "head_base_link";
+	// pan/tilt will be computed w.r.t. to virtual frame at height of eyes
+	Eigen::Affine3d eig_eyes_to_base;
+	double eye_distance; // distance from center of eyes to eye frame
 
 public:
+	LookatCallbackWrapper(Middleware* mw, std::string scope, std::string name, const tf2_ros::Buffer& tfBuffer)
+	   : CallbackWrapper<hlrc_server::lookattargetAction>(mw, scope, name, boost::bind(&LookatCallbackWrapper::call, this, _1))
+	   , tfBuffer(tfBuffer) {
+		// eyes frame has z-axis pointing along view dir (90° rotation w.r.t. base)
+		// and z-position is shifted to height of eyes
+		eig_eyes_to_base =
+		   (Eigen::Translation3d(0.0, 0.0, 0.188) * Eigen::AngleAxisd(angles::from_degrees(90), Eigen::Vector3d::UnitY()) *
+		    Eigen::AngleAxisd(angles::from_degrees(180), Eigen::Vector3d::UnitZ()))
+		      .inverse();
+		// eig_eyes_to_base = Eigen::Translation3d(0.070621, 0, 0.2006).inverse();
 
-    LookatCallbackWrapper(Middleware *mw, std::string scope, std::string name, const tf2_ros::Buffer &tfBuffer)
-       : CallbackWrapper<hlrc_server::lookattargetAction>(mw, scope, name, boost::bind(&LookatCallbackWrapper::call, this, _1))
-       , tfBuffer(tfBuffer)
-    {
-        // eyes frame has z-axis pointing along view dir (90° rotation w.r.t. base)
-        // and z-position is shifted to height of eyes
-        eig_eyes_to_base = (Eigen::Translation3d(0.0, 0.0, 0.188)
-                * Eigen::AngleAxisd(angles::from_degrees(90), Eigen::Vector3d::UnitY())
-                * Eigen::AngleAxisd(angles::from_degrees(180), Eigen::Vector3d::UnitZ())).inverse();
-        //eig_eyes_to_base = Eigen::Translation3d(0.070621, 0, 0.2006).inverse();
-        
-        //std::cout << "MATRIX" << eig_eyes_to_base << std::endl;
-                //* Eigen::AngleAxisd(angles::from_degrees(90), Eigen::Vector3d::UnitY())
-                //* Eigen::AngleAxisd(angles::from_degrees(180), Eigen::Vector3d::UnitZ())).inverse();
-        eye_distance = 0.069;
-    }
+		// std::cout << "MATRIX" << eig_eyes_to_base << std::endl;
+		//* Eigen::AngleAxisd(angles::from_degrees(90), Eigen::Vector3d::UnitY())
+		//* Eigen::AngleAxisd(angles::from_degrees(180), Eigen::Vector3d::UnitZ())).inverse();
+		eye_distance = 0.069;
+	}
 
-    void call(const GoalConstPtr &goal){
-        feedback.result = 1;
+	void call(const GoalConstPtr& goal) {
+		feedback.result = 1;
 
-        hlrc_server::lookattargetGoalConstPtr request = goal;
-        const geometry_msgs::PointStamped &p = request->point;
+		hlrc_server::lookattargetGoalConstPtr request = goal;
+		const geometry_msgs::PointStamped& p = request->point;
 
-        Eigen::Vector3d target(p.point.x, p.point.y, p.point.z);
-        try {
-            if (!p.header.frame_id.empty()) { // only consider tf, when frame_id is non-empty
-                geometry_msgs::TransformStamped base_to_source =
-                    // lookupTransform can throw
-                    tfBuffer.lookupTransform(FLOBI_BASE_LINK, p.header.frame_id,
-                                             p.header.stamp, ros::Duration(0.1));
+		Eigen::Vector3d target(p.point.x, p.point.y, p.point.z);
+		try {
+			if (!p.header.frame_id.empty()) { // only consider tf, when frame_id is non-empty
+				geometry_msgs::TransformStamped base_to_source =
+				   // lookupTransform can throw
+				   tfBuffer.lookupTransform(FLOBI_BASE_LINK, p.header.frame_id, p.header.stamp, ros::Duration(0.1));
 
-                target = eig_eyes_to_base * (tf2::transformToEigen(base_to_source) * target);                        
+				target = eig_eyes_to_base * (tf2::transformToEigen(base_to_source) * target);
+			}
+			else {
+				// otherwise we interpret target directly w.r.t. eye center
+				ROS_WARN("NO Frame provided with target!");
+			}
+		}
+		catch (const std::exception& e) {
+			// Failed to resolve tf
+			ROS_WARN_STREAM_THROTTLE(2, e.what());
+			result.result = 0;
+			as_.setAborted(result, e.what());
+			return;
+		}
 
-            } else {
-                // otherwise we interpret target directly w.r.t. eye center
-                ROS_WARN("NO Frame provided with target!");
-            }
-        } catch (const std::exception &e) {
-            // Failed to resolve tf
-            ROS_WARN_STREAM_THROTTLE(2, e.what());
-            result.result = 0;
-            as_.setAborted(result, e.what());
-            return;
-        }
+		// compute pan + tilt: let point z-axis of eyes frames towards target
+		// alternatively, compute inverse kinematics of pan-tilt chain
+		// as here: https://github.com/pal-robotics/head_action
+		humotion::GazeState gaze_state;
+		double distance = target.norm();
+		if (distance > 1e-3) {
+			// normalize vector from eyes-center to target
+			target /= distance;
+			// pan = rotation about x-axis: angle of projection of target onto yz-plane to z-axis
+			gaze_state.pan = (90 - angles::to_degrees(atan2(target.z(), target.y())));
+			// tilt = rotation about y-axis: angle between target and yz-plane
+			Eigen::Vector2d projection(target.y(), target.z());
+			gaze_state.tilt = angles::to_degrees(atan2(target.x(), projection.norm()));
+		}
+		// fill in rest of gaze_state
+		gaze_state.roll = request->roll;
+		gaze_state.vergence = -angles::to_degrees(atan2(eye_distance, distance));
 
-        // compute pan + tilt: let point z-axis of eyes frames towards target
-        // alternatively, compute inverse kinematics of pan-tilt chain
-        // as here: https://github.com/pal-robotics/head_action
-        humotion::GazeState gaze_state;
-        double distance = target.norm();
-        if (distance > 1e-3) {
-            // normalize vector from eyes-center to target
-            target /= distance;
-            // pan = rotation about x-axis: angle of projection of target onto yz-plane to z-axis
-            gaze_state.pan = (90 - angles::to_degrees(atan2(target.z(), target.y())));
-            // tilt = rotation about y-axis: angle between target and yz-plane
-            Eigen::Vector2d projection(target.y(), target.z());
-            gaze_state.tilt = angles::to_degrees(atan2(target.x(), projection.norm()));
-        }
-        // fill in rest of gaze_state
-        gaze_state.roll  = request->roll;
-        gaze_state.vergence  = -angles::to_degrees(atan2(eye_distance, distance));
+		// use timestamp from request
+		gaze_state.timestamp.set(p.header.stamp.sec, p.header.stamp.nsec);
+		gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
 
-        // use timestamp from request
-        gaze_state.timestamp.set(p.header.stamp.sec, p.header.stamp.nsec);
-        gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
+		// processing
+		as_.publishFeedback(feedback);
 
-        // processing
-        as_.publishFeedback(feedback);
+		// send to application:
+		mw->gaze_callback(gaze_state);
 
-        // send to application:
-        mw->gaze_callback(gaze_state);
-
-        if (feedback.result){
-            result.result = feedback.result;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-
-    }
+		if (feedback.result) {
+			result.result = feedback.result;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
diff --git a/server/include/ROS/MouthCallbackWrapperROS.h b/server/include/ROS/MouthCallbackWrapperROS.h
index 373d2c7..76f6e1b 100644
--- a/server/include/ROS/MouthCallbackWrapperROS.h
+++ b/server/include/ROS/MouthCallbackWrapperROS.h
@@ -1,77 +1,76 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/mouthtargetAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class MouthCallbackWrapper : CallbackWrapper<hlrc_server::mouthtargetAction>{
+// callback handler incoming gaze requests:
+class MouthCallbackWrapper : CallbackWrapper<hlrc_server::mouthtargetAction> {
 protected:
-    hlrc_server::mouthtargetFeedback feedback;
-    hlrc_server::mouthtargetResult result;
+	hlrc_server::mouthtargetFeedback feedback;
+	hlrc_server::mouthtargetResult result;
 
 public:
+	MouthCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::mouthtargetAction>(mw, scope, name, boost::bind(&MouthCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    MouthCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::mouthtargetAction>(mw, scope, name, boost::bind(&MouthCallbackWrapper::call, this, _1)){
-        //
-    };
+	void call(const GoalConstPtr& goal) {
+		feedback.result = 1;
 
-    void call(const GoalConstPtr &goal){
-        feedback.result = 1;
+		hlrc_server::mouthtargetGoalConstPtr request = goal;
 
-        hlrc_server::mouthtargetGoalConstPtr request = goal;
+		humotion::MouthState mouth_state;
 
-        humotion::MouthState mouth_state;
+		// fill in mouth
+		//#include "RSB/SpeechCallbackWrapper.h".opening_left   = request->opening_left;
+		mouth_state.opening_center = request->opening_center;
+		mouth_state.opening_right = request->opening_right;
 
-        //fill in mouth
-        //#include "RSB/SpeechCallbackWrapper.h".opening_left   = request->opening_left;
-        mouth_state.opening_center = request->opening_center;
-        mouth_state.opening_right  = request->opening_right;
+		mouth_state.position_left = request->position_left;
+		mouth_state.position_center = request->position_center;
+		mouth_state.position_right = request->position_right;
 
-        mouth_state.position_left   = request->position_left;
-        mouth_state.position_center = request->position_center;
-        mouth_state.position_right  = request->position_right;
+		// processing
+		feedback.result = 1;
+		as_.publishFeedback(feedback);
 
-        //processing
-        feedback.result = 1;
-        as_.publishFeedback(feedback);
+		// send to application:
+		mw->mouth_callback(mouth_state);
 
-        //send to application:
-        mw->mouth_callback(mouth_state);
-
-        if (feedback.result){
-            result.result = feedback.result;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-
-
-    }
+		if (feedback.result) {
+			result.result = feedback.result;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
diff --git a/server/include/ROS/SpeechCallbackWrapperROS.h b/server/include/ROS/SpeechCallbackWrapperROS.h
index d2ef1a7..484a355 100644
--- a/server/include/ROS/SpeechCallbackWrapperROS.h
+++ b/server/include/ROS/SpeechCallbackWrapperROS.h
@@ -1,69 +1,70 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/speechAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class SpeechCallbackWrapper : CallbackWrapper<hlrc_server::speechAction>{
+// callback handler incoming gaze requests:
+class SpeechCallbackWrapper : CallbackWrapper<hlrc_server::speechAction> {
 protected:
-    hlrc_server::speechFeedback feedback;
-    hlrc_server::speechResult result;
+	hlrc_server::speechFeedback feedback;
+	hlrc_server::speechResult result;
 
 public:
+	SpeechCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::speechAction>(mw, scope, name, boost::bind(&SpeechCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    SpeechCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::speechAction>(mw, scope, name, boost::bind(&SpeechCallbackWrapper::call, this, _1)){
-        //
-    };
+	void call(const GoalConstPtr& goal) {
+		feedback.result = 1;
 
-    void call(const GoalConstPtr &goal){
-        feedback.result = 1;
+		hlrc_server::speechGoalConstPtr request = goal;
 
-        hlrc_server::speechGoalConstPtr request = goal;
+		std::string text = request->text;
 
-        std::string text = request->text;
+		// processing
+		feedback.result = 1;
+		as_.publishFeedback(feedback);
 
-        //processing
-        feedback.result = 1;
-        as_.publishFeedback(feedback);
+		// send to application:
+		text = "<maryxml version=\"0.4\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" "
+		       "xmlns=\"http://mary.dfki.de/2002/MaryXML\" xml:lang=\"en_US\">" +
+		       text + "</maryxml>";
+		mw->speak_callback(text);
 
-        //send to application:
-        text = "<maryxml version=\"0.4\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://mary.dfki.de/2002/MaryXML\" xml:lang=\"en_US\">" +
-                text +
-                "</maryxml>";
-        mw->speak_callback(text);
-
-        if (feedback.result){
-            result.result = feedback.result;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-    }
+		if (feedback.result) {
+			result.result = feedback.result;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
diff --git a/server/include/ROS/UtteranceCallbackWrapperROS.h b/server/include/ROS/UtteranceCallbackWrapperROS.h
index 481684a..fa37c5f 100644
--- a/server/include/ROS/UtteranceCallbackWrapperROS.h
+++ b/server/include/ROS/UtteranceCallbackWrapperROS.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/utteranceAction.h"
@@ -32,116 +32,125 @@
 #include "hlrc_server/phoneme.h"
 #include "hlrc_server/soundchunk.h"
 
-//callback handler incoming gaze requests:
-class UtteranceCallbackWrapper : CallbackWrapper<hlrc_server::utteranceAction>{
+// callback handler incoming gaze requests:
+class UtteranceCallbackWrapper : CallbackWrapper<hlrc_server::utteranceAction> {
 protected:
-    hlrc_server::utteranceFeedback feedback;
-    hlrc_server::utteranceResult result;
+	hlrc_server::utteranceFeedback feedback;
+	hlrc_server::utteranceResult result;
 
 public:
-
-    UtteranceCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::utteranceAction>(mw, scope, name, boost::bind(&UtteranceCallbackWrapper::call, this, _1)){
-        //
-    };
-
-    void call(const GoalConstPtr &goal){
-        hlrc_server::utteranceGoalConstPtr request = goal;
-        printf("> incoming utterance '%s' (%d phone symbols)\n", request->utterance.text.c_str(), (int)request->utterance.phonemes.size());
-
-        //everything is ok, will be cleared on failures
-        feedback.result = 1;
-
-        boost::shared_ptr<Utterance> utterance(new Utterance());
-
-        //copy values:
-        utterance->set_text(request->utterance.text);
-
-        boost::shared_ptr<AudioData> audio_data(new AudioData());
-        if (!extract_audio(request->utterance.audio, audio_data)){
-            feedback.result = 0;
-        }
-
-        utterance->set_audio_data(audio_data);
-        utterance->set_phoneme_vector(extract_phoneme_vector(request->utterance.phonemes));
-
-        //send to application;
-        mw->utterance_callback(utterance);
-
-
-        if (feedback.result){
-            result.result = 1;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-    }
-
-
-    //convert ros message audio data to our own implementation
-    bool extract_audio(hlrc_server::soundchunk sound_chunk, boost::shared_ptr<AudioData> audio_data){
-        //extract data:
-        unsigned int audio_len = sound_chunk.data.size();
-        char *audio_data_char = (char *)sound_chunk.data.data();
-
-        //audio.samples = vector<char>(audio_data_char, audio_data_char+audio_len);
-        audio_data->samples.resize(audio_len);
-        audio_data->samples.assign(audio_data_char, audio_data_char+audio_len);
-
-        printf("audio samplesize is %d bytes\n",(int)audio_data->samples.size());
-
-        //extract format:
-        audio_data->sample_signed = true;
-        switch (sound_chunk.sample_type){
-            case(hlrc_server::soundchunk::SAMPLE_U8):  audio_data->sample_signed = false; //and fall through:
-            case(hlrc_server::soundchunk::SAMPLE_S8):  audio_data->sample_bit =  8; break;
-
-            case(hlrc_server::soundchunk::SAMPLE_U16): audio_data->sample_signed = false; //and fall through:
-            case(hlrc_server::soundchunk::SAMPLE_S16): audio_data->sample_bit = 16; break;
-
-            case(hlrc_server::soundchunk::SAMPLE_U24): audio_data->sample_signed = false; //and fall through:
-            case(hlrc_server::soundchunk::SAMPLE_S24): audio_data->sample_bit = 24; break;
-
-            default:
-                printf("> invalid sample type %d in SoundChunk! ignoring request!\n", sound_chunk.sample_type);
-                return false;
-                //throw runtime_error("UtteranceRSB::convert_audio_data() unsupported sample type in soundchunk");
-        }
-
-        //bitrate
-        audio_data->sample_rate = sound_chunk.rate;
-
-        //endianness
-        if (sound_chunk.endianess == hlrc_server::soundchunk::ENDIAN_LITTLE){
-            audio_data->sample_big_endian = false;
-        }else if (sound_chunk.endianess == hlrc_server::soundchunk::ENDIAN_BIG){
-            audio_data->sample_big_endian = true;
-        }else{
-            printf("> invalid SoundChunk byte_format");
-            throw std::runtime_error("UtteranceRSB::convert_audio_data() unsupported byte_format in soundchunk");
-        }
-
-        //number of channels
-        audio_data->sample_channels = sound_chunk.channels;
-
-        printf("> new AudioData: %s\n",audio_data->to_string().c_str());
-
-        return true;
-    }
-
-    //convert ros phoneme vector to out own implementation
-    Utterance::phonemes_vector_t extract_phoneme_vector(std::vector<hlrc_server::phoneme> pv){
-        Utterance::phonemes_vector_t result;
-
-        //extract phoneme vector
-        for(unsigned int i=0; i<pv.size(); i++){
-            hlrc_server::phoneme ros_phoneme = pv[i];
-            Utterance::symbol_duration_pair_t phoneme = make_pair(ros_phoneme.symbol, ros_phoneme.duration);
-            result.push_back(phoneme);
-        }
-
-        return result;
-    }
-
+	UtteranceCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::utteranceAction>(mw, scope, name,
+	                                                   boost::bind(&UtteranceCallbackWrapper::call, this, _1)){
+		   //
+	   };
+
+	void call(const GoalConstPtr& goal) {
+		hlrc_server::utteranceGoalConstPtr request = goal;
+		printf("> incoming utterance '%s' (%d phone symbols)\n", request->utterance.text.c_str(),
+		       (int)request->utterance.phonemes.size());
+
+		// everything is ok, will be cleared on failures
+		feedback.result = 1;
+
+		boost::shared_ptr<Utterance> utterance(new Utterance());
+
+		// copy values:
+		utterance->set_text(request->utterance.text);
+
+		boost::shared_ptr<AudioData> audio_data(new AudioData());
+		if (!extract_audio(request->utterance.audio, audio_data)) {
+			feedback.result = 0;
+		}
+
+		utterance->set_audio_data(audio_data);
+		utterance->set_phoneme_vector(extract_phoneme_vector(request->utterance.phonemes));
+
+		// send to application;
+		mw->utterance_callback(utterance);
+
+		if (feedback.result) {
+			result.result = 1;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
+
+	// convert ros message audio data to our own implementation
+	bool extract_audio(hlrc_server::soundchunk sound_chunk, boost::shared_ptr<AudioData> audio_data) {
+		// extract data:
+		unsigned int audio_len = sound_chunk.data.size();
+		char* audio_data_char = (char*)sound_chunk.data.data();
+
+		// audio.samples = vector<char>(audio_data_char, audio_data_char+audio_len);
+		audio_data->samples.resize(audio_len);
+		audio_data->samples.assign(audio_data_char, audio_data_char + audio_len);
+
+		printf("audio samplesize is %d bytes\n", (int)audio_data->samples.size());
+
+		// extract format:
+		audio_data->sample_signed = true;
+		switch (sound_chunk.sample_type) {
+			case (hlrc_server::soundchunk::SAMPLE_U8):
+				audio_data->sample_signed = false; // and fall through:
+			case (hlrc_server::soundchunk::SAMPLE_S8):
+				audio_data->sample_bit = 8;
+				break;
+
+			case (hlrc_server::soundchunk::SAMPLE_U16):
+				audio_data->sample_signed = false; // and fall through:
+			case (hlrc_server::soundchunk::SAMPLE_S16):
+				audio_data->sample_bit = 16;
+				break;
+
+			case (hlrc_server::soundchunk::SAMPLE_U24):
+				audio_data->sample_signed = false; // and fall through:
+			case (hlrc_server::soundchunk::SAMPLE_S24):
+				audio_data->sample_bit = 24;
+				break;
+
+			default:
+				printf("> invalid sample type %d in SoundChunk! ignoring request!\n", sound_chunk.sample_type);
+				return false;
+				// throw runtime_error("UtteranceRSB::convert_audio_data() unsupported sample type in soundchunk");
+		}
+
+		// bitrate
+		audio_data->sample_rate = sound_chunk.rate;
+
+		// endianness
+		if (sound_chunk.endianess == hlrc_server::soundchunk::ENDIAN_LITTLE) {
+			audio_data->sample_big_endian = false;
+		}
+		else if (sound_chunk.endianess == hlrc_server::soundchunk::ENDIAN_BIG) {
+			audio_data->sample_big_endian = true;
+		}
+		else {
+			printf("> invalid SoundChunk byte_format");
+			throw std::runtime_error("UtteranceRSB::convert_audio_data() unsupported byte_format in soundchunk");
+		}
+
+		// number of channels
+		audio_data->sample_channels = sound_chunk.channels;
+
+		printf("> new AudioData: %s\n", audio_data->to_string().c_str());
+
+		return true;
+	}
+
+	// convert ros phoneme vector to out own implementation
+	Utterance::phonemes_vector_t extract_phoneme_vector(std::vector<hlrc_server::phoneme> pv) {
+		Utterance::phonemes_vector_t result;
+
+		// extract phoneme vector
+		for (unsigned int i = 0; i < pv.size(); i++) {
+			hlrc_server::phoneme ros_phoneme = pv[i];
+			Utterance::symbol_duration_pair_t phoneme = make_pair(ros_phoneme.symbol, ros_phoneme.duration);
+			result.push_back(phoneme);
+		}
+
+		return result;
+	}
 };
-
-
